AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- MethodEmbed

## Index

### Constructors

- constructor

### Properties

- context
- methodName

### Methods

- remove
- set
- add
- remove

## Constructors

### constructor

- new MethodEmbed(context: any, methodName: any): MethodEmbed

- - Defined in analytics/src/utils/MethodEmbed.ts:28

  #### Parameters

  - ##### context: any

  - ##### methodName: any

  #### Returns MethodEmbed

## Properties

### context

context: any

- Defined in analytics/src/utils/MethodEmbed.ts:17

### methodName

methodName: any

- Defined in analytics/src/utils/MethodEmbed.ts:18

## Methods

### remove

- remove(): void

- - Defined in analytics/src/utils/MethodEmbed.ts:43

  #### Returns void

### set

- set(methodOverride: any): void

- - Defined in analytics/src/utils/MethodEmbed.ts:37

  #### Parameters

  - ##### methodOverride: any

  #### Returns void

### Static add

- add(context: any, methodName: any, methodOverride: any): void

- - Defined in analytics/src/utils/MethodEmbed.ts:22

  #### Parameters

  - ##### context: any

  - ##### methodName: any

  - ##### methodOverride: any

  #### Returns void

### Static remove

- remove(context: any, methodName: any): void

- - Defined in analytics/src/utils/MethodEmbed.ts:26

  #### Parameters

  - ##### context: any

  - ##### methodName: any

  #### Returns void